Bug 1125959 - [forman integration] Add URL checks; User is able to add external foreman provider with any dummy url
Summary: [forman integration] Add URL checks; User is able to add external foreman pro...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Yaniv Bronhaim
QA Contact:
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 13:07 UTC by Tareq Alayan
Modified: 2016-02-10 19:27 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-04 07:10:25 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
scrnshot (22.12 KB, image/png)
2014-08-01 13:07 UTC, Tareq Alayan
no flags Details

Description Tareq Alayan 2014-08-01 13:07:31 UTC
Description of problem:
foreman external provider entry is added to ovirt-engine with dummy url http://there.is.nothing.

Version-Release number of selected component (if applicable):
foreman-1.6.0.32-1.el6sat.noarch
ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. login to web admin and go to Add external provider dialogu
2. on name field put Test
3. on URL put http://there.is.nothing. 


Actual results:
you will see an entry that Test is added 

Expected results:
Check if there is a real provider 

Additional info:

Comment 1 Tareq Alayan 2014-08-01 13:07:58 UTC
Created attachment 923303 [details]
scrnshot

Comment 2 Oved Ourfali 2014-08-04 07:10:25 UTC
We do no validation of the URL's existence.
That's why we have a "test" button. If someone wants to test it he can...

We don't enforce anything, as one might want to prepare an environment, and add the provider even before the provider actually exist...
Also, it may be down, firewalld, etc... we don't block it, and we shouldn't block it.

CLOSING as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.